# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:		openstack-tripleo-puppet-elements
Summary:	OpenStack TripleO Puppet Elements for diskimage-builder
Version:    0.0.1
Release:    4%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://wiki.openstack.org/wiki/TripleO
Source0:    https://github.com/openstack/tripleo-puppet-elements/archive/%{version}.tar.gz

#
# patches_base=+1
#
Patch0001: 0001-Include-ntp-on-all-images.patch
Patch0002: 0002-Install-fence-agents-on-the-controller-image.patch
Patch0003: 0003-rhbz-1237145-Install-nfs-utils-on-compute-nodes.patch

BuildArch:	noarch
BuildRequires:	python
BuildRequires:	python2-devel
BuildRequires:	python-setuptools
BuildRequires:	python-d2to1
BuildRequires:	python-pbr

%description
OpenStack TripleO Puppet Elements is a collection of elements for
diskimage-builder that can be used to build OpenStack images configured with
Puppet for the TripleO program.

%prep
%setup -q -n tripleo-puppet-elements-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

%files
%doc LICENSE
%doc README.md
%{python_sitelib}/tripleo_puppet_elements*
%{_datadir}/tripleo-puppet-elements

%changelog
* Thu Jul 09 2015 Mike Burns <mburns@redhat.com> 0.0.1-4
- rhbz#1237145 Install nfs-utils on compute nodes

* Mon Jun 29 2015 Mike Burns <mburns@redhat.com> 0.0.1-3
- Install fence agents on the controller image
- Include ntp on all images

* Thu Jun 04 2015 Mike Burns <mburns@redhat.com> 0.0.1-2
- Update to upstream 0.0.1

* Wed Feb 25 2014 James Slagle <jslagle@redhat.com> XXX
- Initial packaging
